On Thu, May 28, 2009 at 9:17 PM, Rick DeNatale <rick.denatale / gmail.com> wrote:
> On Thu, May 28, 2009 at 7:22 PM, Luis Lavena <luislavena / gmail.com> wrote:
>
>>
>> Checking for one specific version of the OS to ensure a service is
>> running or installed is brittle.
>
> Well the guy wasn't checking for a specific version he was checking
> for at least the version when that feature became a core part of the
> OS.
>

Which again brings the how brittle is that particular functionality.

However, I believe that building the gem with universal-darwin and
rely on uname as you pointed out will help work on a patch for this
"code"

>> There must be another way to determine, at runtime if fsevent is
>> installed, enabled or running.
>>
>> For the gem part, I suggest build the gem with the following for
>> Gem::Specification:
>>
>> Gem::Platform.new('universal-darwin')
>
> Hey, it's not my gem.      >
> [...]

And I'm not blaming you, apologize if my email sound harsh or rude but
I'm not a native english speaker (self learned the language) and tried
to express the idea on how to fix or communicate it to the developer
(or contribute a patch)

Regards,
-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupy